Summary:	PAM login module that allows a X.509 certificate based user login
Summary(pl.UTF-8):	Moduł PAM umożliwiający logowanie się w oparciu o certyfikat X.509
Name:		pam-pam_pkcs11
Version:	0.6.8
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.opensc-project.org/files/pam_pkcs11/pam_pkcs11-%{version}.tar.gz
# Source0-md5:	5ca42826b60ffcb574cc16b965f56b00
URL:		http://www.opensc-project.org/pam_pkcs11/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	libxslt-progs
BuildRequires:	libtool
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	pcsc-lite-devel >= 1.6.0
BuildRequires:	pkgconfig
Requires:	pcsc-lite-libs >= 1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
This PAM login module allows a X.509 certificate based user login. The
certificate and its dedicated private key are thereby accessed by
means of an appropriate PKCS#11 module. For the verification of the
users' certificates, locally stored CA certificates as well as either
online or locally accessible CRLs are used.

%description -l pl.UTF-8
Ten moduł PAM umożliwia logowanie się w oparciu o certyfikaty X.509.
Certyfikat i jego klucz prywatny są odczytywane poprzez odpowiedni
moduł PKCS#11. Do weryfikacji certyfikatów użytkowników używane są
lokalnie przechowywane certyfikaty CA albo dostępne lokalnie lub
zdalnie CRL.

%prep
%setup -q -n pam_pkcs11-%{version}

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I aclocal
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--with-curl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/pam_pkcs11.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pam_pkcs11/*.la

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{pt_br,pt_BR}

%find_lang pam_pkcs11

%clean
rm -rf $RPM_BUILD_ROOT

%files -f pam_pkcs11.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/{README.*,*.html,*.css} etc/*.example
%attr(755,root,root) %{_bindir}/card_eventmgr
%attr(755,root,root) %{_bindir}/pkcs11_*
%attr(755,root,root) %{_bindir}/pklogin_finder
%attr(755,root,root) /%{_lib}/security/pam_pkcs11.so
%dir %{_libdir}/pam_pkcs11
%attr(755,root,root) %{_libdir}/pam_pkcs11/*.so
%{_mandir}/man1/card_eventmgr.1*
%{_mandir}/man1/pkcs11_*.1*
%{_mandir}/man1/pklogin_finder.1*
%{_mandir}/man8/pam_pkcs11.8*
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam-pam_pkcs11.git;a=log;h=master

* Sat Apr 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 718c722
- updated to 0.6.8
- removed obsolete pl.po-update patch

* Thu Aug 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 1ea2854
- updated to 0.6.7
- updated pl.po-update patch

* Thu Dec 09 2010 Jakub Bogusz <qboosh@pld-linux.org> e6180a6
- updated to 0.6.6
- updated pl.po-update patch

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 2fe43c4
- updated to 0.6.5
- updated pl.po-update patch, removed obsolete pcsc-update patch

* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 39a287d
- updated to 0.6.4
- added pcsc-update patch to build with current pcsc-lite
- added pl.po-update patch instead of old (already merged upstream) pl.po file

* Sat Nov 03 2007 Jan Rękorajski <baggins@pld-linux.org> 38c58e0
- updated openldap BR/R to 2.4.6

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 161e1d3
- updated to 0.6.0
- added pl.po

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> e3a061b
- new

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0e8e401
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5642c86
- converted to UTF-8

* Tue Mar 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 91663e5
- updated URLs

* Mon Jan 09 2006 Jakub Bogusz <qboosh@pld-linux.org> b62de53
- updated Source0 URL

* Wed Oct 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 4f1593d
- more specific URL

* Thu Oct 06 2005 Jakub Bogusz <qboosh@pld-linux.org> 069b30c
- new

